diff a/test/jdk/jdk/incubator/vector/config.sh b/test/jdk/jdk/incubator/vector/config.sh
--- a/test/jdk/jdk/incubator/vector/config.sh
+++ b/test/jdk/jdk/incubator/vector/config.sh
@@ -22,26 +22,30 @@
 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 # or visit www.oracle.com if you need additional information or have any
 # questions.
 #
 
-VECTORTESTS_HOME="$(pwd)"
-JDK_SRC_HOME="./../../../../../"
+JDK_SRC_HOME="$(git rev-parse --show-toplevel)"
+VECTORTESTS_HOME="$JDK_SRC_HOME/test/jdk/jdk/incubator/vector/"
 JAVA="${JAVA_HOME}/bin/java"
 JAVAC="${JAVA_HOME}/bin/javac"
 BUILDLOG_FILE="./build.log"
 SPP_CLASSNAME="build.tools.spp.Spp"
 # Windows: Classpath Separator is ';'
 # Linux: ':'
 SEPARATOR=":"
 TYPEPREFIX=""
 TEMPLATE_FILE="unit_tests.template"
+TESTNG_JAR="${TESTNG_PLUGIN}/plugins/org.testng.source_6.13.1.r201712040515.jar"
+TESTNG_RUN_JAR="${TESTNG_PLUGIN}/plugins/org.testng_6.13.1.r201712040515.jar"
+JCOMMANDER_JAR="${TESTNG_PLUGIN}/plugins/com.beust.jcommander_1.72.0.jar"
 TEST_ITER_COUNT=100
 
 PERF_TEMPLATE_FILE="perf_tests.template"
 PERF_SCALAR_TEMPLATE_FILE="perf_scalar_tests.template"
-PERF_DEST="benchmark/src/main/java/benchmark/jdk/incubator/vector/"
+PERF_DEST="$JDK_SRC_HOME/test/micro/org/openjdk/bench/jdk/incubator/vector/operation"
+
 
 function Log () {
   if [ $1 == true ]; then
     echo "$2"
   fi
